/******************************************************************************
 *
 *  .----------------------.	
 *  |==     ==  ======  == |	$Author: kendallc $
 *  | ==   ==   ======  == |	$Revision: 17773 $ 
 *  |  == ==      ==    == |	$Date: 2009-12-18 13:19:29 -0500 (Fri, 18 Dec 2009) $ 
 *  |   ===       ==    == |	$HeadURL: http://orion/svn/nextgen/branches/64Bit_Driver/software/Instrument_drivers/libVTEX/common/state.h $
 *  |    =        ==    == |	
 *  `----------------------' 
 *
 * Copyright 2006 VXI Technology Inc. as an unpublished work.
 * All rights reserved. The information contained herein is confidential
 * property of VXI Technology, Inc. Use, copy, transfer or disclosure
 * of such information is prohibited except by express written agreement
 * with VXI Technology, Inc.
 *
 * PURPOSE:
 *   System driver state
 *
 * Note:
 *   A class definition equivalent to IVI System interface.
 *
 ******************************************************************************/
#ifndef _STATE_H
#define _STATE_H


/*******************
 * System header
 *******************/


/*******************
 * Library header
 *******************/


/*******************
 * Local header
 *******************/
#include "exTypes.h"
#include "CommonErrors.h"


/***********************
 * Forward Declarations
 ***********************/


class State
{
    public:
        State() { m_initialized = false;};
	    virtual ~State() { };

        virtual VTEXResult initialized()
        {
            return m_initialized ? IVI_SUCCESS : IVI_E_NOT_INITIALIZED;
        }

        virtual void setInitialized(bool init)
        {
            m_initialized = init;
        }

        virtual int getPluginType() = 0;

        virtual bool ignoreMissingSlotsInSimulationMode()
        {
            return false;
        }

    protected:
        bool m_initialized;

};

#endif  // _STATE_H
